## sympl-web 9.0.190605.0

=== Makefile ===

RUBYLIB := "./lib:../common/lib"

#
# Not sure this is the correct variable to use, but it appears to give the
# right name!
#
DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -q DEB_BUILD_GNU_TYPE)

all: sbin/sympl-web-logger docs

docs: man/sympl-web-configure.man man/sympl-web-generate-stats.man man/sympl-web-rotate-logs.man man/sympl-web-logger.man

#
# The dh-golang stuff seems to put the binary in obj-$DEB_BUILD_GNU_TYPE/bin
#
obj-$(DEB_BUILD_GNU_TYPE)/bin/%: %.go
	mkdir -p ${DEB_BUILD_GNU_TYPE}/bin
	go build -o $@ $<


test: obj-$(DEB_BUILD_GNU_TYPE)/bin/sympl-web-logger
	$(MAKE) -C vhost-alias test
	RUBYLIB=${RUBYLIB} ruby test.d/t*.rb

sbin/sympl-web-logger: obj-$(DEB_BUILD_GNU_TYPE)/bin/sympl-web-logger
	cp -a $< $@

man/%.txt: ./txt/%.txt
	cp -a $< $@

man/%.txt: ./sbin/%
	[ -d man ] || mkdir man
	RUBYLIB=${RUBYLIB} $< --manual > $@
	test -s $@

man/%.man: man/%.txt
	sed -e 's/^=\+$$//' $< | txt2man -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@
	test -s $@

clean:
	$(RM) -r obj-$(DEB_BUILD_GNU_TYPE)
	cd vhost-alias && make clean
	@find . -name '.*~' -exec rm \{\} \;
	@find . -name '.#*' -exec rm \{\} \;
	@find . -name 'configure-stamp' -exec rm \{\} \;
	@find . -name 'build-stamp' -exec rm \{\} \;
	$(RM) -r man
	$(RM) sbin/sympl-web-logger

.PHONY: test clean all docs

=== vhost-alias/Makefile ===

#
#  Version setup by "make" in parent directory
#

all:	mod_vhost_sympl

mod_vhost_sympl:	mod_vhost_sympl.c
	apxs2 -Wc,-Werror $(DEF) -ca mod_vhost_sympl.c

clean:
	@find . -name '*.o' -exec rm \{\} \;
	@find . -name '*.la' -exec rm \{\} \;
	@find . -name '*.lo' -exec rm \{\} \;
	@find . -name '*.slo' -exec rm \{\} \;
	@if [ -d ./.libs ]; then rm -rf ./.libs ; fi
	@find . -name '*~' -exec rm \{\} \;
	@find . -name '.#*' -exec rm \{\} \;
	@if [ -e ./test-strip ]; then rm -f ./test-strip ; fi

test: test-strip.c
	gcc -Wall -Werror -o test-strip test-strip.c
	mkdir -p /tmp/foo.com      || true
	mkdir -p /tmp/blog.foo.com || true
	./test-strip 2>/dev/null

install:
	apxs2 -cia -Wc,-Werror $(DEF) mod_vhost_sympl.c

=== debian/changelog ===
sympl-web (9.0.190605.0) stable; urgency=medium

  * Renamed package to sympl-web
  * Replaced references to Bytemark/Symbiosis with Sympl

 -- Paul Cammish <sympl@kelduum.net>  Wed, 05 Jun 2019 15:39:00 +0100 

symbiosis-httpd (2018:0720) stable; urgency=medium

  * Revert commit 3dfe596a which enabled Apache PHP7 module by default.

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Fri, 20 Jul 2018 14:07:37 +0100

symbiosis-httpd (2018:0709) stable; urgency=medium

  * Allow unrestricted/unredirected access to /.well-known/acme-challenge

 -- Paul Cammish <paul.cammish@bytemark.co.uk>  Mon, 09 Jul 2018 16:05:58 +0100
 

symbiosis-httpd (2018:0620) stable; urgency=medium

  * Enable Apache PHP7 module by default. 
  * Mask Ruby interpreter warnings by setting verbosity level later in script.
  * Increase Apache PHP7 'upload_max_filesize' and 'post_max_size' values.

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Fri, 15 Jun 2018 13:24:58 +0100

symbiosis-httpd (2018:0619) stable; urgency=medium

  * Fix symbiosis-httpd.postinst so that no-stats configuration is correctly
    preserved.

 -- Jamie Nguyen <j@jamielinux.com>  Tue, 19 Jun 2018 10:29:55 +0100

symbiosis-httpd (2018:0618) stable; urgency=medium

  * Remove sync (-s) flag from the Apache vhost templates to improve
    performance of the golang logger.

 -- Jamie Nguyen <j@jamielinux.com>  Mon, 18 Jun 2018 13:57:18 +0100

symbiosis-httpd (2017:0904) stable; urgency=medium

  * Use ssl-hooks to reload apache when SSL certificates are
    generated/renewed.
  * Replaced ruby httpd loggger with our golang version.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 04 Sep 2017 16:35:03 +0100

symbiosis-httpd (2017:0818) stable; urgency=medium

  * Added a --diff-only option to symbiosis-httpd-configure.
  * Updated default apache templates to return the correct ErrorDocument for
    non-mass-hosted sites. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 18 Aug 2017 18:18:12 +0100

symbiosis-httpd (2017:0510) stable; urgency=medium

  * Store monit configuration in /usr/share instead of /etc. Use symlinks to
    allow users to enable/disable but discourage editing

 -- Telyn <telyn@bytemark.co.uk>  Wed, 10 May 2017 13:42:15 +0100

symbiosis-httpd (2017:0424) stable; urgency=medium

  * Add snippet to force phpmyadmin to use https.
  * Use generated Diffie-Helman parameters.
  * Rewrote monit script to use systemd.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 14:41:06 +0100

symbiosis-httpd (2015:1113) stable; urgency=medium

  * Removed symbiosis-common as a build-dep.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 19 Apr 2017 10:35:41 +0100

symbiosis-httpd (2015:1112) stable; urgency=medium

  * Udated HTTP cipher lists.
  * Fix HSTS config to make HSTS work by default
  * Supply sync parameter when opening default apache log file.
  * Split manpage generation into two stages.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 21 Nov 2016 13:49:38 +0000

symbiosis-httpd (2015:1111) stable; urgency=low

  * Fixed a bug in the SSL Apache template, to make sure HTTP redirections go
    to the domain in the Host: header, if specified.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 09 Aug 2016 12:37:02 +0100

symbiosis-httpd (2015:1110) stable; urgency=medium

  * Fixed output in symbiosis-httpd-configure to correctly report pre-enabled
    sites correctly.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 24 May 2016 10:25:37 +0100

symbiosis-httpd (2015:1109) stable; urgency=medium

  * Updated symbiosis-httpd-configure to allow single domains to be managed
    from the command line.  This permits domains or configs to be re-enabled
    manually.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 16 May 2016 12:10:55 +0100

symbiosis-httpd (2015:1108) stable; urgency=medium

  * When ssl-only is set, the SSL template should redirect to the HTTP Host
    given in the request, instead of assuming that the request should go to
    the "bare" domain.  Closes #12383.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 05 Feb 2016 12:55:02 +0000

symbiosis-httpd (2015:1107) stable; urgency=medium

  * Updated zz-mass-hosting templates to have a wildcard alias in order to
    work when sharing the IP with other name-based virtual hosts.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 17 Dec 2015 16:23:13 +0000

symbiosis-httpd (2015:1106) stable; urgency=medium

  * Added no-effort SNI support for domains running on the primary IP address,
    with an SSL certificate in place.
  * Updated postinst scripts to use the jessie version of
    /etc/apache2/ports.conf instead of the wheezy one.
  * Updated the libapache2-mod-vhost-bytemark postinst to remove the old
    module load snipped in /etc/apache2/mods-enabled.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 06 Nov 2015 15:09:52 +0000

symbiosis-httpd (2015:1027) stable; urgency=medium

  * Reduced the number of dependencies this package has; most have been moved
    to recommended packages.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 27 Oct 2015 22:58:03 +0000

symbiosis-httpd (2015:1021) stable; urgency=medium

  * Ensure OCSP stapling is explictly diabled in the SSL templates.
  * Ensure HSTS headers are sent with SSL sites when mod_headers is enabled.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 21 Oct 2015 22:09:12 +0100

symbiosis-httpd (2015:1009) stable; urgency=medium

  * Updated mod_vhost_bytemark to look at the buffer, rather than r->filename.
  * Fixed up templates to work with apache2.4 permissions.
  * Removed OSCP stapling config as it plays badly with the reject-www-data
    rule.
  * Updated unconfigured domain page.
  * Updated SSL cipher list.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 09 Oct 2015 17:02:14 +0100

symbiosis-httpd (2015:0825) stable; urgency=medium

  * Updated SSL ciphers to use those recommened by Mozilla.
  * Added OSCP stapling to the SSL configs


=== debian/control ===
Source: sympl-web
Section: web
Priority: optional
Maintainer: Paul Cammish <sympl@kelduum.net>
Uploaders: Paul Cammish <sympl@kelduum.net>
Build-Depends: debhelper (>= 7.0.0), apache2-dev, libcap-dev, php7.0-common, txt2man, gem2deb, ruby, dh-golang, golang-go (>= 1.5.1), sympl-common
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: sympl-web
Architecture: all
Depends: apache2, libapache2-mod-php7.0, webalizer, libapache2-mod-vhost-sympl, ${misc:Depends}, sympl-common, ruby | ruby-interpreter
Recommends: php7.0-mysql | php7.0-mysqli | php7.0-mysqlnd, php7.0-curl, php7.0-imagick, php7.0-mcrypt, php7.0-xmlrpc, php7.0-gd, geoip-database
Replaces: symbiosis-httpd
Conflicts: symbiosis-httpd
Provides: symbiosis-httpd
Description: Tools to manage Apache virtual hosting in Sympl
 This package contains tools to manage the virtual hosting of websites
 with Apache2.
 .
 When this package is installed your system will be automatically
 configured to serve websites for multiple domains by the creation
 of only a pair of directories.
 .
 Adding new websites doesn't even require you to restart your server.

Package: libapache2-mod-vhost-sympl
Architecture: any
Depends: apache2-api-20120211, ${shlibs:Depends}, ${misc:Depends}
Description: Mass-hosting module for Apache 2.4 and Sympl
 This module allows you to easily host multiple virtual hosts with
 a single simple configuration file.
 .
 This module is a fork of the official mod_vhost_alias module from
 the Apache project with only minor changes:
 .
 * Allows per vhost document root to be setup.
 * Allows domains to be handled with or without a www. prefix.

=== debian/rules ===
#!/usr/bin/make -f
#

export DH_GOPKG := sympl-web-logger

%:
	dh $@ --buildsystem=ruby --with ruby,apache2,golang

override_dh_auto_build:
	$(MAKE) 
	cd vhost-alias && $(MAKE) && $(MAKE) test
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) clean
	dh_auto_clean
